// Função para rolar suavemente para seções
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Função para destacar o link ativo na navegação
window.addEventListener('scroll', () => {
  let scrollPos = window.scrollY;
  document.querySelectorAll('nav a').forEach(link => {
    let section = document.querySelector(link.getAttribute('href'));
    if (section.offsetTop <= scrollPos && section.offsetTop + section.offsetHeight > scrollPos) {
      link.classList.add('active');
    } else {
      link.classList.remove('active');
    }
  });
});